Bug 788724 - extensible binary filters do not work
Summary: extensible binary filters do not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-08 22:01 UTC by Rich Megginson
Modified: 2012-06-20 07:13 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.2.10.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Trying to use extensible search filters with binary data. Consequence: Incorrect data was being returned. Fix: Code was assuming values were NULL terminated C strings and attempting to use strcmp routines instead of memcmp and other binary aware routines. Code was fixed to use binary aware functions. Result: Extensible search filters work correctly with binary data.
Clone Of:
Environment:
Last Closed: 2012-06-20 07:13:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0813 normal SHIPPED_LIVE Low: 389-ds-base security, bug fix, and enhancement update 2012-06-19 19:29:15 UTC

Description Rich Megginson 2012-02-08 22:01:46 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/280

The filter values are not being copied correctly - using strdup instead of memcpy

Comment 2 Jenny Severance 2012-02-14 15:18:11 UTC
Please add steps to reproduce/verify this issue

Comment 4 Amita Sharma 2012-05-07 07:05:17 UTC
filter startup 	100% (1/1) 	  	 
filter run 	100% (267/267) 	  	 
filter cleanup 	100% (2/2)

AND
Indexes run 	100% (45/45)

Hence VERIFIED.

Comment 5 Rich Megginson 2012-05-18 15:12:19 UTC
clearing needinfo

Comment 6 Rich Megginson 2012-05-24 23:20:51 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Trying to use extensible search filters with binary data.
Consequence: Incorrect data was being returned.
Fix: Code was assuming values were NULL terminated C strings and attempting to use strcmp routines instead of memcmp and other binary aware routines.  Code was fixed to use binary aware functions.
Result: Extensible search filters work correctly with binary data.

Comment 7 errata-xmlrpc 2012-06-20 07:13:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0813.html


Note You need to log in before you can comment on or make changes to this bug.